Open SCAP Library: oval_object_content Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_object_content Struct Reference
OVAL » OVALDEF

An Oval_object_content instance specifies an oval_object field. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_object_content * | oval_object_content_new (struct oval_definition_model *model, oval_object_content_type_t type)
struct oval_object_content * | oval_object_content_clone (struct oval_definition_model *new_model, struct oval_object_content *old_content)
void | oval_object_content_free (struct oval_object_content *)
Setters
void | oval_object_content_set_type (struct oval_object_content *, oval_object_content_type_t)
void | oval_object_content_set_field_name (struct oval_object_content *, char *)
void | oval_object_content_set_entity (struct oval_object_content *, struct oval_entity *)
void | oval_object_content_set_varCheck (struct oval_object_content *, oval_check_t)
void | oval_object_content_set_setobject (struct oval_object_content *, struct oval_setobject *)
Getters
char * | oval_object_content_get_field_name (struct oval_object_content *)
| Get field name of a object content. More...
oval_object_content_type_t | oval_object_content_get_type (struct oval_object_content *)
| Get type of a object content (entity or set).
struct oval_entity * | oval_object_content_get_entity (struct oval_object_content *)
| Get entity of a simple object content. More...
oval_check_t | oval_object_content_get_varCheck (struct oval_object_content *)
| Get varCheck of a simple object content.
struct oval_setobject * | oval_object_content_get_setobject (struct oval_object_content *)
| Get setobject of a set object content. More...

## Data Fields
struct oval_definition_model * | model
char * | fieldName
oval_object_content_type_t | type

## Detailed Description

An Oval_object_content instance specifies an oval_object field.

The documentation for this struct was generated from the following files:

- oval_objectContent.c
- oval_definitions.h